import { AssertionError } from 'assertion-error';
export function assert(expr, msg) {
    if (!expr) {
        throw new AssertionError(msg || 'Assertion Failed');
    }
}
export function not(expr, msg) {
    assert(!expr, msg);
}
;
export function fail(msg) {
    assert(false, msg);
}
;
